import { useEffect, useState } from 'react';
import { useFramework } from '../useFramework';
export const useAppManifests = () => {
    const provider = useFramework().modules.app;
    const [value, setValue] = useState(undefined);
    const [error, setError] = useState();
    const [isLoading, setIsLoading] = useState(false);
    useEffect(() => {
        setIsLoading(true);
        const request = provider.getAllAppManifests().subscribe({
            next: (value) => setValue(value),
            error: (err) => setError(err),
            complete: () => setIsLoading(false),
        });
        return () => {
            setIsLoading(false);
            request.unsubscribe();
        };
    }, [provider, setValue, setError, setIsLoading]);
    return { value, error, isLoading };
};
export default useAppManifests;
//# sourceMappingURL=useAppManifests.js.map